# Documentation de l'API Brawlset

Cette page de documentation est potentiellement pas à jour. Vérifiez la date de dernière édition si quelque chose ne fonctionne pas comme indiqué ici, et le cas échéant contactez l'administrateur de ce dépot.



## POST: /api/auth/signin

Ce chemin permet de récupérer le token [JWT](https://jwt.io/) permettant de vous authentifier pour les requêtes API nécessitant authentification.

Données à envoyer :
```
{
    email: <zuma@example.com>,
    password: <gogaellego>
}
```

Réponse :
```
{
    JWT: <token> // Données encodées dans le token : username (string), admin (boolean), id (uuid) 
}
```

## GET: /api/account/decks

Ce chemin permet de recupérer les decks appartenant à l'utilisateur-rice reconnue grace au Token d'authentification.  
Aucune données ne sont à envoyer par contre il faut spécifier l'entête `Authorization: Bearer <token>` voir doc [JWT](https://jwt.io/introduction).

Réponse :
```
{
    data: [
        {
            id: "e1cf4964-e187-407c-acc8-cc47199b208d",
            url: "",
            name: "Kellan, the kid",
            utilisateurice_id: "2670aac4-f8e9-4952-9ec5-4c246abe2401",
            bset_id: "b694338e-8514-47ea-8e86-27e73d463e56",
            color_identity: ["G","U","W"],
            commander: <card_object>,
            cartes: [
                { amount: 1, carte: <card_object>},
                { amount: 1, carte: <card_object>},
                { amount: 1, carte: <card_object>},
                { amount: 1, carte: <card_object>},
                ...
                { amount: 1, carte: <card_object>},
            ]
        },
        ...
    ]
}
```
